import { ContextTracker, LRParser, LocalTokenGroup } from '@lezer/lr';
import { styleTags, tags } from '@lezer/highlight';
import { htmlLanguage } from '@codemirror/lang-html';
import { foldNodeProp, foldInside, indentNodeProp, LRLanguage } from '@codemirror/language';
import { parseMixed } from '@lezer/common';

// This file was generated by lezer-generator. You probably shouldn't edit it.
const spaces = 31,
  newline = 32,
  BlockComment = 18;

const trackNewline = new ContextTracker({
    start: false,
    shift(context, term) {
        return term == BlockComment || term == spaces ? context : term == newline
    },
    strict: false
});

const Highlight = styleTags({
    "if endif": tags.controlKeyword,
    "{{ }}": tags.tagName,
    "{{{ }}}": tags.tagName,
    BIHelper: tags.keyword,
    Escape: tags.annotation,
    DirectiveContent: tags.variableName,
    BlockComment: tags.comment,
    OnelineComment: tags.comment,
    Number: tags.number,
    String: tags.string,
    Identifier: tags.variableName,
    "~ @": tags.atom,
});

// This file was generated by lezer-generator. You probably shouldn't edit it.
const spec_Identifier = {__proto__:null,true:70, false:70};
const parser = LRParser.deserialize({
  version: 14,
  states: "*hQYQPOOO!cQQO'#C^O!jQSO'#CiO!oQSO'#CiO!wQSO'#ClO!|QPO'#CkO#TOpO'#CnO#`O!bO'#CoOOQO'#C}'#C}OOQO'#Cq'#CqQYQPOOOOQO'#Cs'#CsO$YQQO,58xOOQO'#Cc'#CcO$aQQO'#CrO%pQQO'#CfOOQO'#Cr'#CrO%wQQO,58xOOQO,58x,58xO&OQSO,59TOOQO'#Cu'#CuO&TQSO,59TO&]QWO,59TO&eQ`O,59WO&jQSO'#CmOOQO,59V,59VO!|QPO,59VOOOO'#Cw'#CwO&oOpO,59YOOQO,59Y,59YOOOO'#Cx'#CxO&zO!bO,59ZOOQO,59Z,59ZOOQO-E6o-E6oOOQO-E6q-E6qO'SQQO,59^OOQO,59^,59^OOQO1G.d1G.dO'zQQO,59PO(qQQO,59QO(xQQO'#CtOOQO'#Ct'#CtO)gQQO,59QOOQO,59Q,59QO)nQQO1G.dOOQO-E6p-E6pOOQO1G.o1G.oOOQO-E6s-E6sO)uQWO1G.oOOQO'#Cv'#CvO)uQWO1G.oOOQO1G.r1G.rO)}Q`O,59XOOQO1G.q1G.qOOOO-E6u-E6uOOQO1G.t1G.tOOOO-E6v-E6vOOQO1G.u1G.uOOQO1G.k1G.kO*SQQO,59`OOQO,59`,59`OOQO1G.l1G.lO*qQQO1G.lOOQO-E6r-E6rOOQO7+$O7+$OP#hQQO'#CsO*xQWO7+$ZOOQO7+$Z7+$ZOOQO-E6t-E6tOOQO1G.s1G.sOOQO7+$W7+$WP(YQQO'#CsOOQO<<Gu<<Gu",
  stateData: "+]~OoOSpOS~ORPOdXOyQO{RO!PSO!SUO!WVO~OS^OT`OU`OW`OZ`OrZOs]Ou_Ov`Ox`O~O[bO~PqO^cO~O^fO|dO~O^gO~O!RhO~PYO!TkO!UkO!VmO~O!XnO!YpO~OSsOTtOUtOWtOZtOrZOs]Ou_OvtOxtO~O[uO~P#hOtvOSfXTfXUfXWfXZfX[fXrfXsfXufXvfXxfX~OSxOUyOWyOrZOs]Ou_OvyO~Ow{O~P%XO[uO~PqOz!OO~O^!QO|dO~O}!RO!O!OO~O!Q!TO~O^!UO~O!TkO!UkO!V!XO~O!XnO!Y!ZO~OtvOSfaTfaUfaWfaZfa[farfasfaufavfaxfa~OS![OU![OW![Os]O~OS!]OU!^OW!^OrZOs]Ou_Ov!^O~Ow!_O~P(YOtvOShXUhXWhXrhXshXuhXvhXwhX~Ow!_O~P%XO[!bO~P#hO}!RO!O!eO~O!Q!gO~OtvOShaUhaWharhashauhavhawha~Ow!hO~P(YO}!RO!O!jO~O^o^prpdTST~",
  goto: "$nrPPsPPPPyP!`!`PPsPs!r!xssP#O#Y#`#t#z$Q$[$bPPPP$hXWOTYjS`PaUt[|!cSy_zQ![vV!^w!`!iS`PaUt[|!cSy_zV!^w!`!iXTOTYjQiTR!VjQYOQjTTqYjQaPR}aQ[P[r[w|!`!c!iQw_Q|aR!`zQz_R!azQeRR!PeQ!SfQ!d!QT!f!S!dQlUR!WlQoVR!YoXXOTYj",
  nodeNames: "⚠ Template Insert {{ Identifier BIHelper Number Bool String Equa Subexp ~ }} Escape Any RawBlock RawOpen RawClose BlockComment OnelineComment Text",
  maxTerm: 56,
  context: trackNewline,
  propSources: [Highlight],
  skippedNodes: [0],
  repeatNodeCount: 8,
  tokenData: "!GY~R!_OX%QXY&wYZ,yZ[&w[])T]^,y^p%Qpq&wqr%Qrs.vst6mtu>Ruw%QwxByxyIhyzJTz{6m{!O%Q!O!PJp!P!Q6m!Q!R!!O!R![!#p![!_%Q!_!`!+n!`!a!,Z!a!b%Q!b!c>R!c!}>R!}#Q%Q#Q#R!,v#R#S>R#S#T%Q#T#X>R#X#Y!-c#Y#o>R#o#p!5k#p#q!7d#q#r!7z#r#s!:v#s#y%Q#y#z)T#z$f%Q$f$g&w$g#BY>R#BY#BZ!;c#BZ$IS>R$IS$I_!;c$I_$I|>R$I|$I}!D_$I}$JO!D_$JO$JT>R$JT$JU!;c$JU$KV>R$KV$KW!;c$KW&FU>R&FU&FV!;c&FV;'S>R;'S;=`Bs<%l?HT>R?HT?HU!Af?HUO>Rd%XU^`dSO#o%Q#o#p%k#p#r&Q#r;'S%Q;'S;=`&q<%lO%QS%nUO#o&Q#p;'S&Q;'S;=`&f<%l~&Q~O&Q~~&lS&VTdSO#o&Q#o#p%k#p;'S&Q;'S;=`&f<%lO&QS&iP;=`<%l&QS&qOdSd&tP;=`<%l%Q~'So^`o~rWdSOX%QXY&wYZ)TZ[&w[^)T^p%Qpq&wq#o%Q#o#p%k#p#r&Q#r#y%Q#y#z)T#z$f%Q$f$g&w$g#BY%Q#BY#BZ&w#BZ$IS%Q$IS$I_&w$I_$I|%Q$I|$JO)T$JO$JT%Q$JT$JU&w$JU$KV%Q$KV$KW&w$KW&FU%Q&FU&FV&w&FV;'S%Q;'S;=`&q<%l?HT%Q?HT?HU+O?HUO%Ql)^j^`rWdSOX%QX^)T^p%Qpq)Tq#o%Q#o#p%k#p#r&Q#r#y%Q#y#z)T#z$f%Q$f$g)T$g#BY%Q#BY#BZ)T#BZ$IS%Q$IS$I_)T$I_$I|%Q$I|$JO)T$JO$JT%Q$JT$JU)T$JU$KV%Q$KV$KW)T$KW&FU%Q&FU&FV)T&FV;'S%Q;'S;=`&q<%lO%Q~+Xj^`o~dSOX%QXY+OYZ%QZ[+O[p%Qpq+Oq#o%Q#o#p%k#p#r&Q#r$f%Q$f$g+O$g#BY%Q#BY#BZ+O#BZ$IS%Q$IS$I_+O$I_$JT%Q$JT$JU+O$JU$KV%Q$KV$KW+O$KW&FU%Q&FU&FV+O&FV;'S%Q;'S;=`&q<%l?HT%Q?HT?HU+O?HUO%Q~-Uj^`p~rWdSOX%QX^)T^p%Qpq)Tq#o%Q#o#p%k#p#r&Q#r#y%Q#y#z)T#z$f%Q$f$g)T$g#BY%Q#BY#BZ)T#BZ$IS%Q$IS$I_)T$I_$I|%Q$I|$JO)T$JO$JT%Q$JT$JU)T$JU$KV%Q$KV$KW)T$KW&FU%Q&FU&FV)T&FV;'S%Q;'S;=`&q<%lO%Ql/PYWW^`dSOr.vrs/os#O.v#O#P0[#P#o.v#o#p0x#p#r1p#r;'S.v;'S;=`6g<%lO.vl/xUWW^`dSO#o%Q#o#p%k#p#r&Q#r;'S%Q;'S;=`&q<%lO%Ql0cV^`dSO#o.v#o#p0x#p#r1p#r;'S.v;'S;=`5x;=`<%l4Q<%lO.v[0}ZWWOr1prs2ds#O1p#O#P2z#P#o1p#o#p4Q#p;'S1p;'S;=`5r<%l~1p~O1p~~&l[1wXWWdSOr1prs2ds#O1p#O#P2z#P#o1p#o#p0x#p;'S1p;'S;=`5r<%lO1p[2kTWWdSO#o&Q#o#p%k#p;'S&Q;'S;=`&f<%lO&Q[3PUdSO#o1p#o#p0x#p;'S1p;'S;=`3c;=`<%l4Q<%lO1p[3hWWWOr4Qrs4ls#O4Q#O#P4q#P;'S4Q;'S;=`5l;=`<%l1p<%lO4QW4VVWWOr4Qrs4ls#O4Q#O#P4q#P;'S4Q;'S;=`5l<%lO4QW4qOWWW4tRO;'S4Q;'S;=`4};=`O4QW5SWWWOr4Qrs4ls#O4Q#O#P4q#P;'S4Q;'S;=`5l;=`<%l4Q<%lO4QW5oP;=`<%l4Q[5uP;=`<%l1pl5}WWWOr4Qrs4ls#O4Q#O#P4q#P;'S4Q;'S;=`5l;=`<%l.v<%lO4Ql6jP;=`<%l.vl6ta^`dSOt%Qtu7yu!O%Q!O!P<q!P!b%Q!b!c7y!c!}7y!}#R%Q#R#S7y#S#T%Q#T#o7y#o#p%k#p#r&Q#r$g%Q$g;'S7y;'S;=`<k<%lO7yl8Se^`dSTWOs%Qst7ytu7yu}%Q}!O7y!O!P9e!P!Q%Q!Q![7y![!b%Q!b!c7y!c!}7y!}#R%Q#R#S7y#S#T%Q#T#o7y#o#p%k#p#r&Q#r$g%Q$g;'S7y;'S;=`<k<%lO7yl9ne^`dSTWOs%Qst7ytu7yu}%Q}!O7y!O!P;P!P!Q%Q!Q![7y![!b%Q!b!c7y!c!}7y!}#R%Q#R#S7y#S#T%Q#T#o7y#o#p%k#p#r&Q#r$g%Q$g;'S7y;'S;=`<k<%lO7yl;Ye^`dSTWOs%Qst7ytu7yu}%Q}!O7y!O!P;P!P!Q7y!Q![7y![!b%Q!b!c7y!c!}7y!}#R%Q#R#S7y#S#T%Q#T#o7y#o#p%k#p#r&Q#r$g%Q$g;'S7y;'S;=`<k<%lO7yl<nP;=`<%l7yl<xW^`dSO!O%Q!O!P=b!P#o%Q#o#p%k#p#r&Q#r;'S%Q;'S;=`&q<%lO%Ql=iW^`dSO!P%Q!P!Q7y!Q#o%Q#o#p%k#p#r&Q#r;'S%Q;'S;=`&q<%lO%Ql>[e^`dSSWOs%Qst>Rtu>Ru}%Q}!O>R!O!P?m!P!Q%Q!Q![>R![!b%Q!b!c>R!c!}>R!}#R%Q#R#S>R#S#T%Q#T#o>R#o#p%k#p#r&Q#r$g%Q$g;'S>R;'S;=`Bs<%lO>Rl?ve^`dSSWOs%Qst>Rtu>Ru}%Q}!O>R!O!PAX!P!Q%Q!Q![>R![!b%Q!b!c>R!c!}>R!}#R%Q#R#S>R#S#T%Q#T#o>R#o#p%k#p#r&Q#r$g%Q$g;'S>R;'S;=`Bs<%lO>RlAbe^`dSSWOs%Qst>Rtu>Ru}%Q}!O>R!O!PAX!P!Q>R!Q![>R![!b%Q!b!c>R!c!}>R!}#R%Q#R#S>R#S#T%Q#T#o>R#o#p%k#p#r&Q#r$g%Q$g;'S>R;'S;=`Bs<%lO>RlBvP;=`<%l>RlCSYWW^`dSOwBywx/ox#OBy#O#PCr#P#oBy#o#pD`#p#rEW#r;'SBy;'S;=`Ib<%lOBylCyV^`dSO#oBy#o#pD`#p#rEW#r;'SBy;'S;=`Hs;=`<%lGQ<%lOBy[DeZWWOwEWwx2dx#OEW#O#PEz#P#oEW#o#pGQ#p;'SEW;'S;=`Hm<%l~EW~OEW~~&l[E_XWWdSOwEWwx2dx#OEW#O#PEz#P#oEW#o#pD`#p;'SEW;'S;=`Hm<%lOEW[FPUdSO#oEW#o#pD`#p;'SEW;'S;=`Fc;=`<%lGQ<%lOEW[FhWWWOwGQwx4lx#OGQ#O#PGl#P;'SGQ;'S;=`Hg;=`<%lEW<%lOGQWGVVWWOwGQwx4lx#OGQ#O#PGl#P;'SGQ;'S;=`Hg<%lOGQWGoRO;'SGQ;'S;=`Gx;=`OGQWG}WWWOwGQwx4lx#OGQ#O#PGl#P;'SGQ;'S;=`Hg;=`<%lGQ<%lOGQWHjP;=`<%lGQ[HpP;=`<%lEWlHxWWWOwGQwx4lx#OGQ#O#PGl#P;'SGQ;'S;=`Hg;=`<%lBy<%lOGQlIeP;=`<%lBylIqUuW^`dSO#o%Q#o#p%k#p#r&Q#r;'S%Q;'S;=`&q<%lO%QlJ^UwW^`dSO#o%Q#o#p%k#p#r&Q#r;'S%Q;'S;=`&q<%lO%QlJwY^`dSO!O%Q!O!PKg!P!Q%Q!Q![LW![#o%Q#o#p%k#p#r&Q#r;'S%Q;'S;=`&q<%lO%QlKnW^`dSO!P%Q!P!Q>R!Q#o%Q#o#p%k#p#r&Q#r;'S%Q;'S;=`&q<%lO%QlLa^UW^`dSO!Q%Q!Q![LW![!g%Q!g!hM]!h#R%Q#R#SLW#S#X%Q#X#YM]#Y#o%Q#o#p%k#p#r&Q#r;'S%Q;'S;=`&q<%lO%QlMd^^`dSO{%Q{|N`|}%Q}!ON`!O!Q%Q!Q![! V![#R%Q#R#S! V#S#o%Q#o#p%k#p#r&Q#r;'S%Q;'S;=`&q<%lO%QlNgY^`dSO!Q%Q!Q![! V![#R%Q#R#S! V#S#o%Q#o#p%k#p#r&Q#r;'S%Q;'S;=`&q<%lO%Ql! `YUW^`dSO!Q%Q!Q![! V![#R%Q#R#S! V#S#o%Q#o#p%k#p#r&Q#r;'S%Q;'S;=`&q<%lO%Ql!!XgUW^`dSO!O%Q!O!PLW!P!Q%Q!Q![!#p![!g%Q!g!hM]!h#R%Q#R#S!#p#S#U%Q#U#V!%n#V#X%Q#X#YM]#Y#b%Q#b#c!%R#c#d!'j#d#l%Q#l#m!)`#m#o%Q#o#p%k#p#r&Q#r;'S%Q;'S;=`&q<%lO%Ql!#ybUW^`dSO!O%Q!O!PLW!P!Q%Q!Q![!#p![!g%Q!g!hM]!h#R%Q#R#S!#p#S#X%Q#X#YM]#Y#b%Q#b#c!%R#c#o%Q#o#p%k#p#r&Q#r;'S%Q;'S;=`&q<%lO%Ql!%[UUW^`dSO#o%Q#o#p%k#p#r&Q#r;'S%Q;'S;=`&q<%lO%Ql!%uZ^`dSO!Q%Q!Q!R!&h!R!S!&h!S#R%Q#R#S!&h#S#o%Q#o#p%k#p#r&Q#r;'S%Q;'S;=`&q<%lO%Ql!&q]UW^`dSO!Q%Q!Q!R!&h!R!S!&h!S#R%Q#R#S!&h#S#b%Q#b#c!%R#c#o%Q#o#p%k#p#r&Q#r;'S%Q;'S;=`&q<%lO%Ql!'qY^`dSO!Q%Q!Q!Y!(a!Y#R%Q#R#S!(a#S#o%Q#o#p%k#p#r&Q#r;'S%Q;'S;=`&q<%lO%Ql!(j[UW^`dSO!Q%Q!Q!Y!(a!Y#R%Q#R#S!(a#S#b%Q#b#c!%R#c#o%Q#o#p%k#p#r&Q#r;'S%Q;'S;=`&q<%lO%Ql!)g^^`dSO!Q%Q!Q![!*c![!c%Q!c!i!*c!i#R%Q#R#S!*c#S#T%Q#T#Z!*c#Z#o%Q#o#p%k#p#r&Q#r;'S%Q;'S;=`&q<%lO%Ql!*l`UW^`dSO!Q%Q!Q![!*c![!c%Q!c!i!*c!i#R%Q#R#S!*c#S#T%Q#T#Z!*c#Z#b%Q#b#c!%R#c#o%Q#o#p%k#p#r&Q#r;'S%Q;'S;=`&q<%lO%Ql!+wUtW^`dSO#o%Q#o#p%k#p#r&Q#r;'S%Q;'S;=`&q<%lO%Ql!,dU^`dSTWO#o%Q#o#p%k#p#r&Q#r;'S%Q;'S;=`&q<%lO%Ql!-PUxW^`dSO#o%Q#o#p%k#p#r&Q#r;'S%Q;'S;=`&q<%lO%Ql!-lg^`dSSWOs%Qst>Rtu>Ru}%Q}!O>R!O!P?m!P!Q%Q!Q![>R![!b%Q!b!c>R!c!}>R!}#R%Q#R#S>R#S#T%Q#T#`>R#`#a!/T#a#o>R#o#p%k#p#r&Q#r$g%Q$g;'S>R;'S;=`Bs<%lO>Rl!/^g^`dSSWOs%Qst>Rtu>Ru}%Q}!O>R!O!P?m!P!Q%Q!Q![>R![!b%Q!b!c>R!c!}>R!}#R%Q#R#S>R#S#T%Q#T#g>R#g#h!0u#h#o>R#o#p%k#p#r&Q#r$g%Q$g;'S>R;'S;=`Bs<%lO>Rl!1Og^`dSSWOs%Qst>Rtu>Ru}%Q}!O>R!O!P?m!P!Q%Q!Q![>R![!b%Q!b!c>R!c!}>R!}#R%Q#R#S>R#S#T%Q#T#X>R#X#Y!2g#Y#o>R#o#p%k#p#r&Q#r$g%Q$g;'S>R;'S;=`Bs<%lO>Rl!2rg^`dSTWSWOp%Qpq!4Zqs%Qst>Rtu>Ru}%Q}!O>R!O!P?m!P!Q%Q!Q![>R![!b%Q!b!c>R!c!}>R!}#R%Q#R#S>R#S#T%Q#T#o>R#o#p%k#p#r&Q#r$g%Q$g;'S>R;'S;=`Bs<%lO>Rl!4bW^`dSO#]%Q#]#^!4z#^#o%Q#o#p%k#p#r&Q#r;'S%Q;'S;=`&q<%lO%Ql!5RW^`dSO#Y%Q#Y#Z!,Z#Z#o%Q#o#p%k#p#r&Q#r;'S%Q;'S;=`&q<%lO%Qd!5pV|`O#o&Q#o#p!6V#p;'S&Q;'S;=`&f<%l~&Q~O&Q~~&lS!6[QRSqr!6b#o#p!6uS!6gP!WS}!O!6jS!6mP}!O!6pS!6uO!SSS!6zPyS#o#p!6}S!7SQ!PS!P!Q!7Y#o#p!7_S!7_O!RSS!7dO{S[!7kTvWdSO#o&Q#o#p%k#p;'S&Q;'S;=`&f<%lO&Q#p!8RV}pdSO#o&Q#o#p%k#p#q&Q#q#r!8h#r;'S&Q;'S;=`&f<%lO&Q#p!8oV[WdSO#o&Q#o#p%k#p#q&Q#q#r!9U#r;'S&Q;'S;=`&f<%lO&Q#h!9]Vz`dSO#o&Q#o#p%k#p#q&Q#q#r!9r#r;'S&Q;'S;=`&f<%lO&Q#W!9yV!Q!bdSO#o&Q#o#p%k#p#q&Q#q#r!:`#r;'S&Q;'S;=`&f<%lO&Qt!:gT!OpdSO#o&Q#o#p%k#p;'S&Q;'S;=`&f<%lO&Ql!;PUZW^`dSO#o%Q#o#p%k#p#r&Q#r;'S%Q;'S;=`&q<%lO%Q~!;p}^`o~rWdSSWOX%QXY&wYZ)TZ[&w[^)T^p%Qpq&wqs%Qst>Rtu>Ru}%Q}!O>R!O!P?m!P!Q%Q!Q![>R![!b%Q!b!c>R!c!}>R!}#R%Q#R#S>R#S#T%Q#T#o>R#o#p%k#p#r&Q#r#y%Q#y#z)T#z$f%Q$f$g&w$g#BY>R#BY#BZ!;c#BZ$IS>R$IS$I_!;c$I_$I|>R$I|$JO!>m$JO$JT>R$JT$JU!;c$JU$KV>R$KV$KW!;c$KW&FU>R&FU&FV!;c&FV;'S>R;'S;=`Bs<%l?HT>R?HT?HU!Af?HUO>Rl!>xx^`rWdSSWOX%QX^)T^p%Qpq)Tqs%Qst>Rtu>Ru}%Q}!O>R!O!P?m!P!Q%Q!Q![>R![!b%Q!b!c>R!c!}>R!}#R%Q#R#S>R#S#T%Q#T#o>R#o#p%k#p#r&Q#r#y%Q#y#z)T#z$f%Q$f$g)T$g#BY>R#BY#BZ!>m#BZ$IS>R$IS$I_!>m$I_$I|>R$I|$JO!>m$JO$JT>R$JT$JU!>m$JU$KV>R$KV$KW!>m$KW&FU>R&FU&FV!>m&FV;'S>R;'S;=`Bs<%lO>R~!Aqx^`o~dSSWOX%QXY+OYZ%QZ[+O[p%Qpq+Oqs%Qst>Rtu>Ru}%Q}!O>R!O!P?m!P!Q%Q!Q![>R![!b%Q!b!c>R!c!}>R!}#R%Q#R#S>R#S#T%Q#T#o>R#o#p%k#p#r&Q#r$f%Q$f$g+O$g#BY>R#BY#BZ!Af#BZ$IS>R$IS$I_!Af$I_$JT>R$JT$JU!Af$JU$KV>R$KV$KW!Af$KW&FU>R&FU&FV!Af&FV;'S>R;'S;=`Bs<%l?HT>R?HT?HU!Af?HUO>R~!Dlx^`p~rWdSSWOX%QX^)T^p%Qpq)Tqs%Qst>Rtu>Ru}%Q}!O>R!O!P?m!P!Q%Q!Q![>R![!b%Q!b!c>R!c!}>R!}#R%Q#R#S>R#S#T%Q#T#o>R#o#p%k#p#r&Q#r#y%Q#y#z)T#z$f%Q$f$g)T$g#BY>R#BY#BZ!>m#BZ$IS>R$IS$I_!>m$I_$I|>R$I|$JO!>m$JO$JT>R$JT$JU!>m$JU$KV>R$KV$KW!>m$KW&FU>R&FU&FV!>m&FV;'S>R;'S;=`Bs<%lO>R",
  tokenizers: [2, 3, 4, 5, 6, new LocalTokenGroup("v~RQYZX}!O^~^O!U~~aP}!Od~gP#q#rj~mP#q#rp~uO!V~~", 37, 51), new LocalTokenGroup("b~RP#q#rU~XP#q#r[~aO!Y~~", 17, 55)],
  topRules: {"Template":[0,1]},
  specialized: [{term: 4, get: (value) => spec_Identifier[value] || -1}],
  tokenPrec: 462
});

const mixedParser = parser.configure({
    props: [
        // Add basic folding/indent metadata
        foldNodeProp.add({ Conditional: foldInside }),
        indentNodeProp.add({
            Conditional: cx => {
                let closed = /^\s*\{% endif/.test(cx.textAfter);
                return cx.lineIndent(cx.node.from) + (closed ? 0 : cx.unit);
            }
        }),
    ],
    wrap: parseMixed(node => {
        return node.type.isTop ? {
            parser: htmlLanguage.parser,
            overlay: node => node.type.name == "Text"
        } : null;
    })
});
const handlebarsLanguage = LRLanguage.define({ parser: mixedParser });

export { handlebarsLanguage };
